Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045326
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[New POS] Coremajoralways2020-10-28 17:152021-01-15 09:53
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PriorityurgentResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045326: Linting in BL files is not working

DescriptionESLint fails at linting javascript business logic files (those in module's app/ folder) with the following error message:

Failed to load config "airbnb-base" to extend from. Referenced from: /Users/.../openbravo/modules/org.openbravo.retail.posterminal/web/org.openbravo.retail.posterminal/app/.eslintrc.json

Steps To ReproduceRun the linter from the console.
In a module with BL files (posterminal for example):
- Run ../org.openbravo.client.kernel/jslint/jslint

The error message mentioned above should appear.
Also, IntelliJ IDE shows an ESLint related error message when opening a javascript file in the app/ folder.
Proposed SolutionReplace the following line in the .eslintrc.json template for app/ files:

{
  "extends": ["airbnb", ...]
}

and fix all configurations tracked by the VCS.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0045516 scheduledjarmendariz Openbravo ERP Upgrade ESLint to its latest version 
related to defect 0045315 scheduledjarmendariz New POS Linter pre-commit hook is not watching for jsx files 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0124614)
guilleaer (manager)
2020-11-25 12:13

This issue will be resolved as part of the task
nwp2_JslintMergeReact

- Issue History
Date Modified Username Field Change
2020-10-28 17:15 jarmendariz New Issue
2020-10-28 17:15 jarmendariz Assigned To => Retail
2020-10-28 17:15 jarmendariz Triggers an Emergency Pack => No
2020-10-29 08:31 jarmendariz Status new => scheduled
2020-10-29 08:31 jarmendariz Assigned To Retail => jarmendariz
2020-11-25 12:12 guilleaer Relationship added related to 0045315
2020-11-25 12:13 guilleaer Note Added: 0124614
2021-01-15 09:53 jarmendariz Relationship added depends on 0045516


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker